Stake account updates
curl --request GET \
--url https://mainnet.gomaestro-api.org/v1/accounts/{stake_addr}/updates \
--header 'api-key: <api-key>'import requests
url = "https://mainnet.gomaestro-api.org/v1/accounts/{stake_addr}/updates"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://mainnet.gomaestro-api.org/v1/accounts/{stake_addr}/updates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"action": "registration",
"tx_hash": "3058ba8de662ea6bd6572aeea69047c74de1eb4989c75e818d0d2ea4cb3f0a10",
"epoch_no": 162,
"abs_slot": 68770093,
"deposit": "2000000"
},
{
"action": "withdrawal",
"tx_hash": "c90b48bcb8ec6b2ab1c622f55b34e488cc235d01907072014f9aaa58d883aba2",
"epoch_no": 162,
"abs_slot": 68770469,
"deposit": null
},
{
"action": "withdrawal",
"tx_hash": "4e1bea9b85be4fa9ca2c88e941b7e58da84e026b5d95088e4e387f1bbccbfa40",
"epoch_no": 162,
"abs_slot": 68771196,
"deposit": null
}
],
"last_updated": {
"timestamp": "2022-08-16 09:01:44",
"block_hash": "b740737679995380c05b41fc82a9e383c56c931770c46d04967532844792dfec",
"block_slot": 69074213
},
"next_cursor": null
}Accounts
Stake account updates
Get registration and deregistration history for a Cardano stake account with timestamp details.
GET
/
accounts
/
{stake_addr}
/
updates
Stake account updates
Authorizations
Project API Key
Path Parameters
Bech32 encoded stake/reward address ('stake1...')
Query Parameters
The max number of results per page
Required range:
x >= 0The order in which the results are sorted (by absolute slot)
Available options:
asc, desc Pagination cursor string, use the cursor included in a page of results to fetch the next page
Response
Updates relating to the specified stake key (registration, deregistration, delegation, withdrawal)
A paginated response. Pass in the next_cursor in a subsequent request as the cursor query parameter to fetch the next page of results.
Was this page helpful?

